/*
   A simple demonstration of having a Java program run some other programs.

   See
      http://docs.oracle.com/javase/6/docs/api/java/lang/Runtime.html#getRuntime()
      http://docs.oracle.com/javase/6/docs/api/java/lang/Runtime.html#method_summary
*/

public class RunProgram
{
   public static void main(String[] args)
   {
      try
      {
         // Create a Windows command line for running a program.
         String[] cmd = {"notepad.exe",
                         "Runprogram.java"};
         // Execute the command line.
         java.lang.Runtime.getRuntime().exec(cmd);


         // Create a Windows command line for running another program.
         String cmd2 = "using-argc-and-argv.exe " +
                       " a " +
                       " b " +
                       " c " +
                       " d ";
         // Execute the command line.
         java.lang.Runtime.getRuntime().exec(cmd2);
         // NOTE: There was no output from running this program. It
         //       should have printed output on the console screen,
         //       but it did not. This is one of the problems with
         //       having Java start up processes.


         // Create a Windows command line for running another program.
         String cmd3 = "calc.exe";
         // Execute the command line.
         java.lang.Runtime.getRuntime().exec(cmd3);
      }
      catch (Exception e)
      {
         System.out.println( e );
      }
   }//main()
}//RunProgram